#include "allegro.h"
//#include "CRevengeScript.h"

#ifndef CObjectSet_def

#define CObjectSet_def

#define max_o 100

#include "CCinematic.h"

class CMapObject;           //forward decleration of class CMapObject
//class CRevengeScript;

typedef struct
{
    int type, pic_num;
    char anim_file[50], script_name[50];
    int ambient_wav, consumed_wav;
    int tile_type, pickup_type, enim_type;
    bool moving;
    bool grav;       //does gravity effect it?
    int pickup_value;
    bool consumable;
    bool exist;
} ob;

//#include "CMapObject.h"

class CObjectSet
{
private:
    ob object[max_o];
    int next_object;

public:
    void init_set(void);
    void load_object_set(char *filename);
    ob return_info(int num );
    int ret_number_of_objects(void);
    int add_all_objects(CMapObject *set, DATAFILE *data, CCinematic *_ingameCin);

};




#endif
